# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Class ListEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<ListEntry>
                  com.google.gdata.data.spreadsheet.ListEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ListEntry

extends BaseEntry<ListEntry>

Atom Entry for one single row Google Spreadsheets in the list-based access mode.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Category used to label the flexible-schema list entries.
`static java.lang.String` `KIND` Kind category term used to label the flexible-schema list entries.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ListEntry()` Constructs an empty CellEntry to be populated by the XML parsing process.
`ListEntry(BaseEntry sourceEntry)` Constructs from a copy.
`ListEntry(java.lang.String id, java.lang.String versionId)` Constructs a List Entry with the given information.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the extensions used by the XML parser in the given profile object.
`CustomElementCollection` `getCustomElements()` Gets the collection of custom elements that contain all the special gsx data items.
`void` `setAutomaticallyGeneratedContent(Content c)` Lets the GData server populate this entry with the atom:content.
`void` `setAutomaticallyGeneratedSummary(TextConstruct v)` Lets the GData server populate this entry with the atom:summary.
`void` `setAutomaticallyGeneratedTitle(TextConstruct v)` Lets the GData server populate this entry with the atom:title.
`void` `setContent(Content c)` Prevents setting the server-generated field.
`void` `setContent(TextConstruct c)` Prevents setting the server-generated field.
`void` `setSummary(TextConstruct v)` Prevents setting the server-generated field.
`void` `setTitle(TextConstruct v)` Prevents setting the server-generated field.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Kind category term used to label the flexible-schema list entries.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Category used to label the flexible-schema list entries.

Constructor Detail

### ListEntry

    public ListEntry()

  Constructs an empty CellEntry to be populated by the XML parsing process.

### ListEntry

    public ListEntry(java.lang.String id,
                     java.lang.String versionId)

  Constructs a List Entry with the given information.

  Parameters:
    `id` - the permanent ID of this entry
    `versionId` - the version identifier of the snapshot

### ListEntry

    public ListEntry(BaseEntry sourceEntry)

  Constructs from a copy.

  Parameters:
    `sourceEntry` - source to copy from

Method Detail

### getCustomElements

    public CustomElementCollection getCustomElements()

  Gets the collection of custom elements that contain all the special gsx data items. This is how you access your spreadsheet data.

  Returns:
    a CustomElement object for getting all the internal data

### setTitle

    public void setTitle(TextConstruct v)

  Prevents setting the server-generated field.

  Overrides:
    `setTitle` in class `BaseEntry<ListEntry>`

### setContent

    public void setContent(Content c)

  Prevents setting the server-generated field.

  Overrides:
    `setContent` in class `BaseEntry<ListEntry>`

### setContent

    public void setContent(TextConstruct c)

  Prevents setting the server-generated field.

  Overrides:
    `setContent` in class `BaseEntry<ListEntry>`

### setSummary

    public void setSummary(TextConstruct v)

  Prevents setting the server-generated field.

  Overrides:
    `setSummary` in class `BaseEntry<ListEntry>`

### setAutomaticallyGeneratedTitle

    public void setAutomaticallyGeneratedTitle(TextConstruct v)

  Lets the GData server populate this entry with the atom:title.

### setAutomaticallyGeneratedContent

    public void setAutomaticallyGeneratedContent(Content c)

  Lets the GData server populate this entry with the atom:content.

### setAutomaticallyGeneratedSummary

    public void setAutomaticallyGeneratedSummary(TextConstruct v)

  Lets the GData server populate this entry with the atom:summary.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares the extensions used by the XML parser in the given profile object.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`